import React from "react";
import Head from "next/head";
import ProfileLayout from "@/components/modules/profileLayout";
import ReferAndEarnDetails from "@/components/rendering/profilePageSections/referAndEarnDetails";
import { parseCookies } from "nookies";
import { handleOnReferralBalanceHistory } from "@/utils/api/profile";

export default function ReferEarnPage({ response }: any) {
  return (
    <>
      <Head>
        <title>WaoSim | Refer & Earn</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/faviconIcon.svg" />
      </Head>
      <main>
        <ProfileLayout>
          <ReferAndEarnDetails />
        </ProfileLayout>{" "}
      </main>
    </>
  );
}

export async function getServerSideProps(context: any) {
  const { req, query } = context;
  const cookies = parseCookies({ req });

  const { isError, response } = await handleOnReferralBalanceHistory({
    body: {},
    token: cookies?.waotoken,
  });

  return {
    props: {
      response: response?.data ?? null,
    },
  };
}
